> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign Attachment Tags

> Assign tags to an attachment. This replaces all existing tags with the provided ones.



## OpenAPI

````yaml post /attachments/{attachment_id}/tags
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /attachments/{attachment_id}/tags:
    post:
      tags:
        - provider
        - scribe
        - attachments
      summary: Assign Attachment Tags
      description: >-
        Assign tags to an attachment. This replaces all existing tags with the
        provided ones.
      operationId: assign_attachment_tags_attachments__attachment_id__tags_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: attachment_id
          in: path
          required: true
          schema:
            type: string
            title: Attachment Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NoteAttachmentTagAssignment'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
                title: >-
                  Response Assign Attachment Tags Attachments  Attachment Id 
                  Tags Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    NoteAttachmentTagAssignment:
      properties:
        tagIds:
          items:
            type: string
          type: array
          title: Tagids
      type: object
      required:
        - tagIds
      title: NoteAttachmentTagAssignment
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````